TSI Main System 1.0.58 BETA (RC12/1.1.0) + Module (RC/1.1.0) available via package server [ionCube/php7.1 Update]

  • Note: Please note that the beta versions are not intended for productive use, but only for preliminary testing. If a beta version is still installed via the package server, you have to expect that serious errors will occur or that data will be lost forever. The use of beta versions is therefore at your own risk!


    >> UPDATING IMMEDIATELY ONLY ABOUT THE NEW BETA PACKAGE SERVERS - TSI 1.0 BETA Channel (ionCube) -

    >> DISABLING OF OLD PACKAGE SERVERS TO 31.08.2018


    If the update is made from version 1.0.40, the interface is automatically logged out.


    Important! Before updating, make sure that the ionCube Loader has been installed on the system in the correct version and PHP is available in version 7.1. The wizard for automatically installing the required ionCube extensions can be found at http://www.ioncube.com/loaders.php?xp=JXMWJL


    698f58d1-7f5f-4296-b79d-68ccc1130ee0.png


    TSI Main System 1.0.58 (RC12 / 1.1.0) BETA Changelog:

    • ! The minimum system requirement has been raised to PHP 7.1, older versions are no longer supported
    • ! The entire system now uses ionCube technology and now requires an ionCube loader to operate
    • Locally accessible ionCube loaders for Linux (64-bit) and Windows (64-bit) have been added to the system
    • Functions have been added to export or import single or multiple users
    • The export and import function for user roles has been optimized
    • Login process has been optimized (Enter key can now be used)
    • If the fields Server IP and Query Port remain empty when adding instances, the default values are now automatically adopted
    • When updating icons (servers), the cache should now also be updated server-wide
    • Instance version validation should now work properly
    • A display error in the Server Quick Menu has been corrected
    • Support for reseller management has been improved
    • Support for the API interface has been improved
    • Updated package dependencies:
      • symfony / console (v3.4.14 => v4.1.3)
      • doctrine / instantiator (1.0.5 => 1.1.0)
      • doctrine / inflector (v1.2.0 => v1.3.0)
      • doctrine / collections (v1.4.0 => v1.5.0)
      • doctrine / cache (v1.6.2 => v1.8.0)
      • doctrine / annotations (v1.4.0 => v1.6.0)
      • doctrine / common (v2.7.3 => v2.8.1)
      • doctrine / dbal (v2.5.13 => v2.6.3)
      • webmasters / doctrine-extensions (5.2.0 => 5.3.0)


    Module API Interface 1.0.12 (RC / 1.1.0) BETA Changelog:

    • ! The minimum system requirement has been raised to PHP 7.1, older versions are no longer supported
    • ! The entire system now uses ionCube technology and now requires an ionCube loader to operate
    • Added a method to create reseller (resellerAdd)
    • Added a method to edit resellers (resellerModify)
    • Added a method to remove reseller (resellerDel)


    Module Simple Bots 1.0.16 (RC / 1.1.0) BETA Changelog:

    • ! The minimum system requirement has been raised to PHP 7.1, older versions are no longer supported
    • ! The entire system now uses ionCube technology and now requires an ionCube loader to operate
    • Database usage features have been significantly streamlined


    Module Reseller Management 1.0.2 (RC / 1.1.0) BETA Changelog:

    • ! The minimum system requirement has been raised to PHP 7.1, older versions are no longer supported
    • ! The entire system now uses ionCube technology and now requires an ionCube loader to operate
    • Resellers do not need to be assigned more instances if they have the right to manage their own instances


    Module Channelgroups 1.0.7 (RC / 1.1.0) BETA, Module Clients 1.0.8 (RC / 1.1.0) BETA, Module File Transfer 1.0.6 (RC / 1.1.0) BETA, Module Servergroups 1.0.8 (RC / 1.1.0) BETA Changelog:

    • ! The minimum system requirement has been raised to PHP 7.1, older versions are no longer supported
    • ! The entire system now uses ionCube technology and now requires an ionCube loader to operate